%define date 20030616
%define cache /var/cache/yum
%define prepcache /tmp/yum
Summary: RPM installer/updater
Name: yum-headers
Version: 90rolling
Release: %{date}
License: GPL
Group: System Environment/Base
URL: http://www.dulug.duke.edu/yum/
BuildArchitectures: noarch
Requires: yum

%description
Yum is a utility that can check for and automatically download and
install updated RPM packages. Dependencies are obtained and downloaded 
automatically prompting the user as necessary.
yum-headers will populate the base yum directories with the headers
that were current when the rpm was made.  This will save download time.

%post
cd %{cache}
#First do 901
if ! [ -f 901server/header.info ] ; then
	tar xf yum.headers.server.%{date}.tar
	mv -f server 901server
fi
if ! [ -f 901updates/header.info ] ; then
	tar xf yum.headers.updates.%{date}.tar
	mv -f updates 901updates
fi
cd ..
#Then do 90rolling
if ! [ -f 90rollingserver/header.info ] ; then
	mkdir 90rollingserver
	mkdir 90rollingserver/headers
	mkdir 90rollingserver/packages
	cp -rp 901server/header.info 90rollingserver/header.info
	ln 901server/headers/*.hdr 90rollingserver/headers
fi
if ! [ -f 90rollingupdates/header.info ] ; then
	mkdir 90rollingupdates
	mkdir 90rollingupdates/headers
	mkdir 90rollingupdates/packages
	cp -rp 901updates/header.info 90rollingupdates/header.info
	ln 901updates/headers/*.hdr 90rollingupdates/headers
fi
#Then clean ourselves up
rm -f yum.headers.server.%{date}.tar
rm -f yum.headers.updates.%{date}.tar

%files 
%{cache}/yum.headers.server.%{date}.tar
%{cache}/yum.headers.updates.%{date}.tar
